import {w3cwebsocket, IMessageEvent} from "websocket";

export default class CloudHandler {


    private static connection: w3cwebsocket;

    static connect() {
        return new Promise<void>((resolve, reject) => {
            this.connection = new w3cwebsocket('wss://smartmonopoly.iif.li');
            this.connection.onerror = (err: Error) => {
                this.connection = null;
                reject(err);
            };

            this.connection.onopen = () => {
                resolve();
            };

            this.connection.onclose = () => {
                this.connection = null;
            }

            this.connection.onmessage = (e) => this.handleMessage(e);
        });
    }

    private static handleMessage(e: IMessageEvent)
    {

    }

    static isConnected(): boolean {
        return !!this.connection;
    }
}